Package commoble.morered.client

# Class ColorHandlers

java.lang.Object
commoble.morered.client.ColorHandlers

public class ColorHandlers extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`LIT`
`static final int`
`LIT_RED`
`static final int`
`NO_TINT`
`static final int`
`UNLIT`
`static final int`
`UNLIT_RED`

## Constructor Summary

Constructors
Constructor
Description
`ColorHandlers()`

## Method Summary

Modifier and Type
Method
Description
`static int`
`getLatchBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter lightReader, net.minecraft.core.BlockPos pos, int tintIndex)`
`static int`
`getLatchItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)`
`static int`
`getLatchTint(net.minecraft.world.level.block.state.BlockState state, int tintIndex)`
`static int`
`getLogicFunctionBlockItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)`
`static int`
`getLogicFunctionBlockStateTint(net.minecraft.world.level.block.state.BlockState state, int tintIndex)`
`static int`
`getLogicFunctionBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter lightReader, net.minecraft.core.BlockPos pos, int tintIndex)`
`static int`
`getLogicFunctionTint(int tintIndex, boolean a, boolean b, boolean c)`
`static int`
`getRedAlloyWireBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter world, net.minecraft.core.BlockPos pos, int tintIndex)`
`static int`
`getRedAlloyWireItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)`
`static int`
`getRedwirePostBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter lightReader, net.minecraft.core.BlockPos pos, int tintIndex)`
`static int`
`getRedwirePostItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)`
`static int`
`getRedwirePostTint(net.minecraft.world.level.block.state.BlockState state, int tintIndex)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NO_TINT

public static final int NO_TINT

See Also:
  - Constant Field Values

### LIT

public static final int LIT

See Also:
  - Constant Field Values

### UNLIT

public static final int UNLIT

See Also:
  - Constant Field Values

### LIT_RED

public static final int LIT_RED

See Also:
  - Constant Field Values

### UNLIT_RED

public static final int UNLIT_RED

See Also:
  - Constant Field Values

## Constructor Details

### ColorHandlers

public ColorHandlers()

## Method Details

### getLogicFunctionBlockTint

public static int getLogicFunctionBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter lightReader, net.minecraft.core.BlockPos pos, int tintIndex)

### getLogicFunctionBlockStateTint

public static int getLogicFunctionBlockStateTint(net.minecraft.world.level.block.state.BlockState state, int tintIndex)

### getLogicFunctionBlockItemTint

public static int getLogicFunctionBlockItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)

### getLogicFunctionTint

public static int getLogicFunctionTint(int tintIndex, boolean a, boolean b, boolean c)

### getLatchBlockTint

public static int getLatchBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter lightReader, net.minecraft.core.BlockPos pos, int tintIndex)

### getLatchItemTint

public static int getLatchItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)

### getLatchTint

public static int getLatchTint(net.minecraft.world.level.block.state.BlockState state, int tintIndex)

### getRedwirePostBlockTint

public static int getRedwirePostBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter lightReader, net.minecraft.core.BlockPos pos, int tintIndex)

### getRedwirePostItemTint

public static int getRedwirePostItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)

### getRedwirePostTint

public static int getRedwirePostTint(net.minecraft.world.level.block.state.BlockState state, int tintIndex)

### getRedAlloyWireBlockTint

public static int getRedAlloyWireBlockTint(net.minecraft.world.level.block.state.BlockState state, net.minecraft.world.level.BlockAndTintGetter world, net.minecraft.core.BlockPos pos, int tintIndex)

### getRedAlloyWireItemTint

public static int getRedAlloyWireItemTint(net.minecraft.world.item.ItemStack stack, int tintIndex)